Name:           festival
Version:        1.96
Release:        40
Summary:        Festival Speech Synthesis System
License:        MIT and GPL+ and TCL
URL:            http://www.cstr.ed.ac.uk/projects/festival/

%define docversion 1.4.2
%define speechtoolsversion 1.2.96
%define baseURL http://festvox.org/packed/festival/%{version}
%define diphoneversion 0.19990610
%define nitechbaseURL http://hts.sp.nitech.ac.jp/?plugin=attach&refer=Download&openfile=
%define nitechhtsversion 0.20061229
%define hispavocesversion 1.0.0

Source0:        %{baseURL}/festival-%{version}-beta.tar.gz
Source1:        %{baseURL}/speech_tools-%{speechtoolsversion}-beta.tar.gz
Source2:        http://festvox.org/packed/festival/%{docversion}/festdoc-%{docversion}.tar.gz
Source50:       festival-1.96-0.7-fedora-siteinit.scm
Source51:       festival-1.96-0.7-fedora-sitevars.scm
Source100:      %{baseURL}/festlex_POSLEX.tar.gz
Source101:      %{baseURL}/festlex_CMU.tar.gz
Source200:      %{baseURL}/festvox_kallpc16k.tar.gz
Source202:      %{baseURL}/festvox_kedlpc16k.tar.gz
Source220:      %{nitechbaseURL}/festvox_nitech_us_awb_arctic_hts.tar.bz2
Source221:      %{nitechbaseURL}/festvox_nitech_us_bdl_arctic_hts.tar.bz2
Source222:      %{nitechbaseURL}/festvox_nitech_us_clb_arctic_hts.tar.bz2
Source223:      %{nitechbaseURL}/festvox_nitech_us_jmk_arctic_hts.tar.bz2
Source224:      %{nitechbaseURL}/festvox_nitech_us_rms_arctic_hts.tar.bz2
Source225:      %{nitechbaseURL}/festvox_nitech_us_slt_arctic_hts.tar.bz2
Source300:      http://v4.guadalinex.org/guadalinex-toro/pool-test/main/f/festival-spanish-voices/festival-spanish-voices_1.0.0.orig.tar.gz
Source301:      COPYING.hispavoces

Patch1:         festival-1.96-nitech-american.patch
Patch2:         festival_buildroot.patch
Patch3:         festival-1.96-speechtools-shared-build.patch
Patch5:         festival-1.96-speechtools-rateconvtrivialbug.patch
Patch6:         festival-1.96-speechtools-linklibswithotherlibs.patch
Patch7:         festival-1.96-speechtools-ohjeezcxxisnotgcc.patch
Patch8:         festival-1.96-etcsiteinit.patch
Patch9:         festival-1.96-alias_cmu_to_nitech.patch
Patch10:        festival-1.96-findspeechtools.patch
Patch11:        festival-1.96-main-shared-build.patch
Patch12:        festival-1.96-bettersonamehack.patch
Patch20:        festival-1.96-speechtools-1.2.96-beta+awb.patch
Patch31:        festival-1.96-kludge-etcpath-into-libarch.patch
Patch60:        festival-1.96-format-security.patch
Patch90:        festival-1.96-nitech-proclaimvoice.patch
Patch91:        festival-1.96-nitech-fixmissingrequire.patch
Patch92:        festival-1.96-nitech-sltreferences.patch
Patch93:        gcc43.patch
Patch94:        festival-speech-tools-pulse.patch
Patch95:        gcc44.patch
Patch96:        festival.gcc47.patch
Patch97:        no-shared-data.patch
Patch98:        festival-1.96-server-script-typo.patch
Patch99:        festival-gcc7.patch

BuildRequires:  gcc gcc-c++ pulseaudio-libs-devel texi2html ncurses-devel
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Provides:       %{name}-lib = %{version}-%{release}
Provides:       %{name}-speechtools-libs = %{speechtoolsversion}-%{release}
Provides:       %{name}-speechtools-utils = %{speechtoolsversion}-%{release}
Provides:       festvox-kal-diphone = %{diphoneversion}-%{release}
Provides:       festvox-ked-diphone = %{diphoneversion}-%{release}
Provides:       festvox-awb-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       festvox-bdl-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       festvox-clb-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       festvox-jmk-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       festvox-rms-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       festvox-slt-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       hispavoces-pal-diphone = %{hispavocesversion}-%{release}
Provides:       hispavoces-sfl-diphone = %{hispavocesversion}-%{release}
Provides:       festival-voice festvox-kallpc16k festvox-kedlpc16k
Obsoletes:      %{name}-lib < %{version}-%{release}
Obsoletes:      %{name}-speechtools-libs < %{speechtoolsversion}-%{release}
Obsoletes:      %{name}-speechtools-utils < %{speechtoolsversion}-%{release}
Obsoletes:      festvox-kal-diphone < %{diphoneversion}-%{release}
Obsoletes:      festvox-ked-diphone < %{diphoneversion}-%{release}
Obsoletes:      festvox-awb-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      festvox-bdl-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      festvox-clb-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      festvox-jmk-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      festvox-rms-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      festvox-slt-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      hispavoces-pal-diphone < %{hispavocesversion}-%{release}
Obsoletes:      hispavoces-sfl-diphone < %{hispavocesversion}-%{release}

vProvides:       %{name}-lib = %{version}-%{release}
Provides:       %{name}-speechtools-libs = %{speechtoolsversion}-%{release}
Provides:       %{name}-speechtools-utils = %{speechtoolsversion}-%{release}
Provides:       festvox-kal-diphone = %{diphoneversion}-%{release}
Provides:       festvox-ked-diphone = %{diphoneversion}-%{release}
Provides:       festvox-awb-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       festvox-bdl-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       festvox-clb-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       festvox-jmk-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       festvox-rms-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       festvox-slt-arctic-hts = %{nitechhtsversion}-%{release}
Provides:       hispavoces-pal-diphone = %{hispavocesversion}-%{release}
Provides:       hispavoces-sfl-diphone = %{hispavocesversion}-%{release}
Provides:       festival-voice festvox-kallpc16k festvox-kedlpc16k
Obsoletes:      %{name}-lib < %{version}-%{release}
Obsoletes:      %{name}-speechtools-libs < %{speechtoolsversion}-%{release}
Obsoletes:      %{name}-speechtools-utils < %{speechtoolsversion}-%{release}
Obsoletes:      festvox-kal-diphone < %{diphoneversion}-%{release}
Obsoletes:      festvox-ked-diphone < %{diphoneversion}-%{release}
Obsoletes:      festvox-awb-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      festvox-bdl-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      festvox-clb-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      festvox-jmk-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      festvox-rms-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      festvox-slt-arctic-hts < %{nitechhtsversion}-%{release}
Obsoletes:      hispavoces-pal-diphone < %{hispavocesversion}-%{release}
Obsoletes:      hispavoces-sfl-diphone < %{hispavocesversion}-%{release}
